# class RubyVM::DebugInspector

### Public Class Methods

open() click to toggle source

    static VALUE
    di_open_s(VALUE klass)
    {
        VALUE self = TypedData_Wrap_Struct(klass, &di_data_type, 0);
        return rb_ensure(di_open_body, self, di_open_ensure, self);
    }

### Public Instance Methods

backtrace_locations() click to toggle source

    static VALUE
    di_backtrace_locations(VALUE self)
    {
        const rb_debug_inspector_t *dc = di_get_dc(self);
        return rb_debug_inspector_backtrace_locations(dc);
    }

frame_binding(p1) click to toggle source

    static VALUE
    di_binding(VALUE self, VALUE index)
    {
        const rb_debug_inspector_t *dc = di_get_dc(self);
        return rb_debug_inspector_frame_binding_get(dc, NUM2INT(index));
    }

frame_class(p1) click to toggle source

    static VALUE
    di_frame_class(VALUE self, VALUE index)
    {
        const rb_debug_inspector_t *dc = di_get_dc(self);
        return rb_debug_inspector_frame_class_get(dc, NUM2INT(index));
    }

frame_iseq(p1) click to toggle source

    static VALUE
    di_frame_iseq(VALUE self, VALUE index)
    {
        const rb_debug_inspector_t *dc = di_get_dc(self);
        return rb_debug_inspector_frame_iseq_get(dc, NUM2INT(index));
    }

frame_self(p1) click to toggle source

    static VALUE
    di_frame_self(VALUE self, VALUE index)
    {
        const rb_debug_inspector_t *dc = di_get_dc(self);
        return rb_debug_inspector_frame_self_get(dc, NUM2INT(index));
    }